Bug 162912 - [patch] lang/tcl86: unbreak build with clang
Summary: [patch] lang/tcl86: unbreak build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-28 05:50 UTC by Jan Beich
Modified: 2012-02-13 12:23 UTC (History)
0 users

See Also:


Attachments
clang.diff (744 bytes, patch)
2011-11-28 05:50 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-11-28 05:50:08 UTC
merge part of lang/tcl85/files/patch-unix-configure@1.5 (from 2010/12/09)

clang wants either -soname=libfoo.so.1 or -Wl,-soname,libfoo.so.1,
but not -soname libfoo.so.1.

How-To-Repeat: http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.9-exp-clang.20111126065358.pointyhat-west/tcl-8.6.b.2.log

$ rm -f libfoo.so.1
$ clang -shared -soname libfoo.so.1 -o libfoo.so.1 /dev/null
clang: error: no such file or directory: 'libfoo.so.1'
Exit 1
Comment 1 Edwin Groothuis freebsd_committer 2011-11-28 05:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-02-13 11:34:17 UTC
mm          2012-02-13 11:34:03 UTC

  FreeBSD ports repository

  Modified files:
    lang/tcl86/files     patch-unix-configure 
  Log:
  Unbreak build with clang
  
  PR:             ports/162912
  Submitted by:   Jan Beich <jbeich@tormail.net>
  
  Revision  Changes    Path
  1.5       +9 -0      ports/lang/tcl86/files/patch-unix-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2012-02-13 12:23:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!